Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.ml.lib
Enum Lib.Verbostity

    java.lang.Object
      java.lang.Enum<Lib.Verbostity>
          org.maltparser.ml.lib.Lib.Verbostity

All Implemented Interfaces:
  Serializable, Comparable<Lib.Verbostity>

Enclosing class:
  Lib

    public static enum Lib.Verbostity

extends Enum<Lib.Verbostity>

Enum Constant Summary
`ALL`
`ERROR`
`SILENT`

Method Summary
`static Lib.Verbostity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Lib.Verbostity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SILENT

    public static final Lib.Verbostity SILENT

### ERROR

    public static final Lib.Verbostity ERROR

### ALL

    public static final Lib.Verbostity ALL

Method Detail

### values

    public static Lib.Verbostity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Lib.Verbostity c : Lib.Verbostity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Lib.Verbostity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.